Bug 12872 - No GL in glchess
: No GL in glchess
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnome-games)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-22 00:22 by
Modified: 2008-08-23 18:57 (History)


Attachments
Спек для сборки (1.24 KB, application/octet-stream)
2007-09-22 16:56, Igor Zubkov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-22 00:22:38
When using Menu -> View -> 3D message is shown:

Your system does not have the required software to enable 3D mode. Please
contact your system administrator and ask them to install the OpenGL Python
bindings and the GtkGLExt Python bindings.

You are still able to play chess in 2D without these packages.
------- Comment #1 From 2007-09-22 01:03:02 -------
Что думают заинтересованные собирающие? Будем делать питоньи привязки к
gtkglext? Лично мне кажется, что это фича, будет чем похвастаться в
дистрибутиве.
------- Comment #2 From 2007-09-22 02:26:56 -------
Название "GLchess" вызывает стойкое желание посмотреть как трёхмерные фигуры
будут лупить друг друга из рокетлаунчеров и других плазмаганов ;-)  Шахматы уже
отходят на второй план.
------- Comment #3 From 2007-09-22 13:48:09 -------
(In reply to comment #0)
> When using Menu -> View -> 3D message is shown:
> 
> Your system does not have the required software to enable 3D mode. Please
> contact your system administrator and ask them to install the OpenGL Python
> bindings and the GtkGLExt Python bindings.
> 
> You are still able to play chess in 2D without these packages.

Так, а что собственно надо собрать?
------- Comment #4 From 2007-09-22 13:52:04 -------
Кстати, gnome-games уже свежий вышел. Не плозо было бы его собрать, а уж потом
разбиратся с этим багом. Свежий компоненты базового гнома я уже собрал так что
скоро можно будет собрать и свежий gnome-games.
------- Comment #5 From 2007-09-22 14:21:32 -------
(In reply to comment #3)
> Так, а что собственно надо собрать?

Питоньи биндинги к GtkGLExt.  И возможно проставить зависимость.
------- Comment #6 From 2007-09-22 16:56:21 -------
(In reply to comment #5)
> (In reply to comment #3)
> > Так, а что собственно надо собрать?
> 
> Питоньи биндинги к GtkGLExt.  И возможно проставить зависимость.

Собрал. Сейчас приложу спек в сюда, проверьте glchess. Если работает, положу в
Сизиф.
------- Comment #7 From 2007-09-22 16:56:59 -------
Created an attachment (id=2207) [details]
Спек для сборки
------- Comment #8 From 2007-09-22 17:37:09 -------
В 2.18 я на GL забил сознательно, не желая множить зависимости для того
gnome-games, который перекладывается в 4.0/branch. Если же мы всё-таки
собираемся положить GNOME 2.20 к выходу Мастера, то, похоже, пара лишних
зависимостей на фоне всего остального заметна не будет. Т. о., в 2.20 для
gnome-games-glchess будет проставлена зависимость.

PS. Питоньи биндинги мне поддерживать бы не хотелось, но спек, ИМХО, необходимо
слегка причесать (хотя бы на тему python-module-%name).

PPS. gnome-games-2.20 я уже собираю.
------- Comment #9 From 2007-09-22 17:41:32 -------
(In reply to comment #8)
> спек, ИМХО, необходимо слегка причесать (хотя бы на тему python-module-%name).

Здесь я, возможно, прогнал.
------- Comment #10 From 2007-09-22 18:00:17 -------
Работает.  Жалко нет плазмаганов и прочих рокетлончеров.  Может будет в новой
версии? ;-)
------- Comment #11 From 2007-09-22 18:13:12 -------
(In reply to comment #10)
> Работает.  Жалко нет плазмаганов и прочих рокетлончеров.  Может будет в новой
> версии? ;-)

Закинул в Сизиф на сборку.
------- Comment #12 From 2007-12-31 15:17:21 -------
Fixed in 2.20.2-alt1